From e181e5141e3c5692643eed17f69ddcf5595b40db Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 14 Sep 2017 08:30:03 -0400
Subject: [PATCH v3 1/9] Fix incorrect use of bool

NSUnLinkModule() doesn't take a bool as second argument but one of set
of specific constants.  The numeric values are the same in this case,
but clean it up while we're cleaning up bool use elsewhere.
---
 src/backend/port/dynloader/darwin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/port/dynloader/darwin.c b/src/backend/port/dynloader/darwin.c
index f8fdeaf122..18092cc759 100644
--- a/src/backend/port/dynloader/darwin.c
+++ b/src/backend/port/dynloader/darwin.c
@@ -69,7 +69,7 @@ pg_dlopen(char *filename)
 void
 pg_dlclose(void *handle)
 {
-	NSUnLinkModule(handle, FALSE);
+	NSUnLinkModule(handle, NSUNLINKMODULE_OPTION_NONE);
 }
 
 PGFunction

base-commit: 74d2c0dbfd94aa5512be3828a793b4c2d43df2d0
-- 
2.14.3

